import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, l = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, o = c.length - 1, i; o >= 0; o--)
    (i = c[o]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && m(t, s, e), e;
};
let p = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--up", this.class = "c-pieIcon c-pieIcon--up", this.name = "IconPaymentUp";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--up"><path fill="#f59100" d="M3 3v18h18V3z"></path><path fill="#fff" d="M10.135 11.96c0 .94-.201 1.65-1.245 1.65-1.167 0-1.296-.84-1.296-1.524V6.784l-1.498.33v5.206c0 1.98 1.372 2.744 2.718 2.744 1.753 0 2.794-1.116 2.794-2.513V6.784l-1.498.33v4.85h.025z"></path><path fill="#fff" d="M15.388 8.94c-.609 0-1.142.176-1.624.508v-.84l-1.447.357v7.949l1.447-.331v-2.03a2.74 2.74 0 0 0 1.624.507c1.623 0 2.92-1.372 2.92-3.046s-1.293-3.074-2.92-3.074m-.076 4.799c-.965 0-1.649-.814-1.649-1.753 0-.94.71-1.754 1.649-1.754.965 0 1.649.814 1.649 1.754.003.94-.684 1.753-1.649 1.753"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], p.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = l([
  h("icon-payment-up")
], p);
export {
  p as IconPaymentUp
};
